Update field Option

Update an option on a SINGLE_CHOICE or MULTIPLE_CHOICE field, or a tag on a NOTE field. For NOTE fields, tags are exposed and updated via fieldOptions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Update field option API enables users to update a SINGLE_CHOICE or MULTIPLE_CHOICE field's option values, or a tag on a NOTE field, using the fieldId and optionValue. For NOTE fields, tags are exposed and updated via fieldOptions. This API returns the updated option object. Developers can update field option related information, including the label and color for the provided optionValue. This API returns the updated field option object.

By making requests to this endpoint and incorporating the necessary updates in the request body, users can seamlessly manage and maintain up-to-date field related information in their Rocketlane applications.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Path Params
int64
required
≥ 0
Defaults to 1

The field's unique, system-generated identifier, which can be used to identify the field globally.

Body Params
int32
required

The optionValue is the unique identifier for the option (or tag, for NOTE fields).

string
enum

The optionColor reflects the color of the option for single/multiple choice fields, or the tag color for NOTE fields.

string

The optionLabel reflects the name of the option for single/multiple choice fields, or the tag label for NOTE fields.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json